<?php
function vrmod10($pnumod,$pverif)
{
	$xalgo=10;
	$pnumod1;
	$xcoe='12';
	$xpro=0;
	$xsuma=0;
	$residuo;
	$xveri;
	$xchek;
	
	if($pverif){$pnumod1=substr($pnumod,0,strlen($pnumod)-1);}else{$pnumod1=$pnumod;}
	
	while(strlen($xcoe)<=strlen($pnumod1)){$xcoe.= '12';}

	$xcoe=substr($xcoe,( strlen($xcoe) - strlen($pnumod1)), strlen($xcoe)  );
	for($i=0;$i<=strlen($xcoe)-1;$i++)
	{
		$xpro=intval(substr($pnumod1,$i,1)) * intval(substr($xcoe,$i,1));
		while ($xpro>9){$xpro=$xpro-9;}
		$xsuma = $xsuma + $xpro; 
	}
	
	$residuo=$xsuma % $xalgo;
	if($residuo==0){$xveri=0;}
	else{$xveri=$xalgo-$residuo;}

	if($pverif)
	{if($xveri==substr($pnumod,strlen($pnumod)-1,1)){$xchek=1;}else{$xchek=0;}}
	else{$xchek=$xveri;}
	
	return $xchek;	

}


function vrmod11($pnumod,$pverif)
{
	$xalgo=11;
	$pnumod1;
	$xcoe='765432';
	$xpro=0;
	$xsuma=0;
	$residuo;
	$xveri;
	$xchek;
	
	if($pverif)
	{$pnumod1=substr($pnumod,0,strlen($pnumod)-1);}
	else
	{$pnumod1=$pnumod;}
	
	while(strlen($xcoe)<=strlen($pnumod1)){$xcoe.= '765432';}
	
	$xcoe=substr($xcoe,( strlen($xcoe) - strlen($pnumod1)), strlen($xcoe)  );
	for($i=0;$i<=strlen($xcoe)-1;$i++)
	{
		$xpro=intval(substr($pnumod1,$i,1)) * intval(substr($xcoe,$i,1));
		$xsuma = $xsuma + $xpro; 
	}
	
	
	$residuo=$xsuma % $xalgo;
	if($residuo==0){$xveri=0;}
	else{$xveri=$xalgo-$residuo;}
	
	if($xveri==11){$xveri=0;}
	if($xveri==10){$xveri=1;}

	if($pverif)
	{
		if($xveri==substr($pnumod,strlen($pnumod)-1,1)){$xchek=1;}
		else{$xchek=0;}
	}
	else
	{$xchek=$xveri;}
	
	return $xchek;	

}

function vrean($pean,$pverif)
{
	$pean=str_replace('.','',$pean);
	$pean=str_replace('-','',$pean);
	$pean=str_replace(' ','',$pean);
	for($cont=0,$cont<=strlen($pean)-1,$cont++)
	{if(!mb_stristr('0123456789',substr($pean,$cont,1))){return false;}}	
	if($pean<10000000){return false;}
	
	if($pverif==1){}
}	


?>